Skip to main content
GET
/report/insight/revenue/dimension

Query Parameters

uid
integer

Publisher ID

range
enum<string>

Date range to report on. Preset ranges end yesterday. month_to_date is the current month so far and week_to_date is the current week so far. month_on_month and quarter_on_quarter return monthly or quarterly totals, with the latest period incomplete. custom requires start and end (YYYY-MM-DD). Other values return a 400 error

Available options:
custom,
all_time,
seven_days,
fourteen_days,
thirty_days,
three_months,
six_months,
week_to_date,
month_to_date,
quarter_to_date,
year_to_date,
last_week,
last_month,
last_quarter,
last_year,
month_on_month,
quarter_on_quarter,
yesterday
start
string<date>

Start date when range=custom

end
string<date>

End date when range=custom

date_group
enum<string>
default:day

Groups the series by day, month or quarter. month_on_month and quarter_on_quarter group automatically

Available options:
day,
month,
quarter
rev_source
enum<string>
default:all

Revenue source, SaaS or Plug&Play (pap)

Available options:
all,
pap,
saas
tab
enum<string>
default:publisher

The dimension to report on

Available options:
publisher,
ad_unit_type,
config,
geo,
region,
device,
channel,
partner,
creative_size
environment
enum<string>
default:all

Environment or platform to report from

Available options:
all,
app,
web

Response

200 - application/json
results
object
required
success
boolean
required